# {{project-name}}

## WordPress ad hoc theme
Development theme for your WordPress (devops-toolset based)
This is an autogenerated README.md file. Please, follow the steps to customize your theme.

## Step by step
1. Customize your style.scss file at **/src/assets/css/style.scss** as explained in the [official WordPress documentation](https://developer.wordpress.org/themes/basics/main-stylesheet-style-css/#explanations)
2. [Optional] Customize (or remove) your FontAwesome configuration as explained in the [official FontAwesome documentation](https://fontawesome.com/how-to-use/on-the-web/using-with/sass)
3. [Optional] Add your custom fonts at  **/src/assets/fonts/** and link them in your SASS files
4. Customize your favicon at  **/src/assets/images/favicon.png**. Remember to keep the size at 32x32 px.
5. [Optional] Customize TypeScript configuration at **tsconfig.json**
6. [Optional] Add your TypeScript/JavaScript code beginning at **/src/assets/ts/site.ts** or **/src/assets/js/site.js**
7. [Optional] Create additional "functions.php" files like **/src/functions_php/_core.php** to include your WordPress functions in a categorized way.
8. [Optional] Add your page templates at **/src/page-templates/** as explained at the [official WordPress documentation](https://developer.wordpress.org/themes/template-files-section/page-template-files/).
9. [Optional] Add your template parts at **/src/template-parts/**
10. [Optional] Add your WooCommerce customizations at **/src/woocommerce/**
11. Customize the 404 error page at **/src/404.php**
12. Add your [PHP Composer packages](https://getcomposer.org/) in the **/src/composer.json** file
13. Customize the footer page in **/src/footer.php**
14. Customize the front page in **/src/front-page.php**
15. Customize the header page in **/src/header.php**
16. Customize the screenshot image for the theme at **/screenshot.png**. You also have the master Photoshop file in PSD format (**/screenshot.psd**) that can delete or modify based on your needs.
